#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <cog.h>
#include <propeller.h>
#include <unistd.h>
#include <sys/stat.h>
#include <dirent.h>

extern _Driver _SimpleSerialDriver;
extern _Driver _FileDriver;

_Driver *_driverlist[] = {
  &_SimpleSerialDriver,
  &_FileDriver,
  NULL
};

#define ARGC 4

int ccommand(char ***pargv)
{
  static char *argvv[ARGC];

  *pargv = argvv;

  argvv[0] = "cjpeg";
  argvv[1] = "-debug";
  argvv[2] = "testimg.bmp";
  argvv[3] = "testimg.jpg";

  dfs_mount();

  return ARGC;
}

#if 0
int CheckStackSpace(void)
{
  int *ptr;
  static int *start = 0;

  if (!start)
  {
    start = malloc(4);
    free(start);
    ptr = &ptr - 100;
    start += 2000;
    while (ptr >= start) *ptr-- = 0xdeadbeef;
  }
  for (ptr = start; ptr < 0x8000 && *ptr == 0xdeadbeef; ptr++);
  printf("CheckStackLevel: %8.8x\n", ptr);
}
#endif
